Update a creative action
curl --request PUT \
--url https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/creatives/{actionId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"api_version": 1,
"classification": "EMAIL",
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"enabled": true,
"quality": "ALWAYS",
"theme_version": "theme_version"
}
'import requests
url = "https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/creatives/{actionId}"
payload = {
"api_version": 1,
"classification": "EMAIL",
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"enabled": True,
"quality": "ALWAYS",
"theme_version": "theme_version"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
api_version: 1,
classification: 'EMAIL',
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
enabled: true,
quality: 'ALWAYS',
theme_version: 'theme_version'
})
};
fetch('https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/creatives/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_id": "<string>",
"action_type": "CREATIVE",
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"api_version": 123,
"has_creative": true,
"latest_version": 123,
"output": {},
"theme_version": "<string>"
}Campaign Controllers Actions
Update a creative action
Updates the creative action on the specified campaign controller. Only fields present in the request body are changed. Returns the updated action.
PUT
/
v2
/
campaigns
/
{campaignId}
{version}
/
controllers
/
{controllerId}
/
actions
/
creatives
/
{actionId}
Update a creative action
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Pattern:
(/version/.+)?Body
application/json
Body of a PUT /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/creatives/{actionId} request.
Available options:
EMAIL, JAVASCRIPT, PAGE Show child attributes
Show child attributes
Choose between static or dynamic enabled
Available options:
ALWAYS, HIGH, LOW Response
Successful response
Available options:
CREATIVE Show child attributes
Show child attributes
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.
Available options:
ALWAYS, HIGH, LOW Available options:
EMAIL, JAVASCRIPT, PAGE Show child attributes
Show child attributes
⌘I
